Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface Interface Reference

Parses a string that contains dynamic settings ($foo;eng;bar$). More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface:

## Public Member Functions
| containsDynamicSettings ($string)
| Tests if $string contains dynamic settings. More...
| parseComplexSetting ($string)
| Parses dynamic settings. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParserInterface
| isDynamicSetting ($setting)
| Checks if $setting is considered to be dynamic. More...
| parseDynamicSetting ($setting)
| Parses $setting and returns a hash of corresponding arguments. More...

## Additional Inherited Members
Public Attributes inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParserInterface
const | BOUNDARY_DELIMITER = '$'
const | INNER_DELIMITER = ';'

## Detailed Description

Parses a string that contains dynamic settings ($foo;eng;bar$).

Example: "$var_dir$/$storage_dir$"

Definition at line 16 of file ComplexSettingParserInterface.php.

## Member Function Documentation

## ◆ containsDynamicSettings()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface::containsDynamicSettings | ( |  | $string | ) |

Tests if $string contains dynamic settings.

Parameters

  string | $string |

Returns
  bool

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser.

## ◆ parseComplexSetting()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface::parseComplexSetting | ( |  | $string | ) |

Parses dynamic settings.

Parameters

  string | $string |

Returns
  array key: original string, value: dynamic settings

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser.

The documentation for this interface was generated from the following file:

- ComplexSettingParserInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.